@import url("https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic&subset=latin-ext");
@import url("https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,400italic&amp;subset=latin-ext");

@import "~@angular/material/theming";

$general-typography: mat-typography-config(
    $font-family: 'Roboto, "Helvetica Neue", sans-serif',
    $display-4: mat-typography-level(112px, 112px, 300),
    $display-3: mat-typography-level(56px, 56px, 400),
    $display-2: mat-typography-level(45px, 48px, 400),
    $display-1: mat-typography-level(34px, 40px, 400),
    $headline: mat-typography-level(24px, 32px, 400),
    $title: mat-typography-level(20px, 32px, 500),
    $subheading-2: mat-typography-level(16px, 22px, 500),
    $subheading-1: mat-typography-level(15px, 24px, 400),
    $body-2: mat-typography-level(14px, 24px, 500),
    $body-1: mat-typography-level(14px, 30px, 400),
    $caption: mat-typography-level(12px, 20px, 400),
    $button: mat-typography-level(14px, 14px, 500),
    // Line-height must be unit-less fraction of the font-size.
    $input: mat-typography-level(inherit, 1.125, 400),
);

$secondary-typography: mat-typography-config(
    $font-family: "Roboto, sans-serif",
);

@include mat-core();
@include angular-material-typography($general-typography);

$mat-grey-example: (
    // Non-accent Backgrounds
    // General
    50: #fafafa,
    // Most far away
    100: #f5f5f5,
    // Far far away
    200: #eeeeee,
    // Far away
    300: #e0e0e0,
    // Middle far
    400: #bdbdbd,
    // Middle
    500: #9e9e9e,
    // Middle close
    600: #757575,
    // Close
    700: #616161,
    // Very close
    800: #424242,
    // Very very Close    1
    900: #212121,
    // Closest
    // Accent Background (calling for user action, notice, feedback/response)
    // Texts, fields, cursors, selections, progress, buttons
    A100: #ffffff,
    // Most far away
    A200: #eeeeee,
    // Middle
    A400: #bdbdbd,
    // Close
    A700: #616161,
    // Closest
    contrast:
        (
            // Non-accent Texts - it's a contrast array opposite to the background for
            // text coloring.
            // General
            50: $dark-primary-text,
            // Most far away
            100: $dark-primary-text,
            // Far far away
            200: $dark-primary-text,
            // Far away
            300: $dark-primary-text,
            // Middle far
            400: $dark-primary-text,
            // Middle
            500: $dark-primary-text,
            // Middle close
            600: $light-primary-text,
            // Close
            700: $light-primary-text,
            // Very close
            800: $light-primary-text,
            // Very very Close    1
            900: $light-primary-text,
            // Closest
            // Accent Texts (calling for user action, notice, feedback/response)
            // Texts, fields, cursors, selections, progress, buttons
            A100: $dark-primary-text,
            // Most far away
            A200: $dark-primary-text,
            // Middle
            A400: $dark-primary-text,
            // Close
            A700: $light-primary-text,
            // Closest
        )
);

$mat-example: (
    // Backgrounds
    50: #aec4c7,
    100: #8bb7be,
    200: #57a2ae,
    300: #3e96a7,
    400: #1e8b9d,
    500: #0090a8,
    600: #007a8d,
    700: #006a7a,
    800: #00616d,
    900: #004f53,
    A100: #73d7d7,
    A200: #12b1b1,
    A400: #008b9a,
    A700: #00667a,
    contrast: (
        // Texts
        50: $dark-primary-text,
        100: $dark-primary-text,
        200: $dark-primary-text,
        300: $dark-primary-text,
        400: $dark-primary-text,
        500: $light-primary-text,
        600: $light-primary-text,
        700: $light-primary-text,
        800: $light-primary-text,
        900: $light-primary-text,
        A100: $light-primary-text,
        A200: $light-primary-text,
        A400: $light-primary-text,
        A700: $light-primary-text
    )
);

$example-primary: mat-palette($mat-grey-example);
$example-accent: mat-palette($mat-example, A200, A100, A400);

// The warn palette is optional (defaults to red).
$example-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$example-theme: mat-light-theme($example-primary, $example-accent, $example-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.

// @include angular-material-theme($example-theme);

// theme-2
$theme-2-primary: mat-palette($mat-blue-grey);
$theme-2-accent: mat-palette($mat-amber, A200, A100, A400);
$theme-2-warn: mat-palette($mat-deep-orange);

$theme-2-theme: mat-dark-theme($theme-2-primary, $theme-2-accent, $theme-2-warn);

.theme-2-theme {
    @include angular-material-theme($theme-2-theme);
}

// theme-3
$theme-3-primary: mat-palette($mat-grey, 200, 500, 300);
$theme-3-accent: mat-palette($mat-brown, 200);
$theme-3-warn: mat-palette($mat-deep-orange, 200);

$theme-3-theme: mat-light-theme($theme-3-primary, $theme-3-accent, $theme-3-warn);

.theme-3-theme {
    @include angular-material-theme($theme-3-theme);
}

// theme-4
$theme-4-primary: mat-palette($mat-blue);
$theme-4-accent: mat-palette($mat-light-blue, A200, A100, A400);
$theme-4-warn: mat-palette($mat-deep-orange);

$theme-4-theme: mat-light-theme($theme-4-primary, $theme-4-accent, $theme-4-warn);

.theme-4-theme {
    @include angular-material-theme($theme-4-theme);
}

// theme-5
$theme-5-primary: mat-palette($mat-blue-grey);
$theme-5-accent: mat-palette($mat-blue, A200, A100, A400);
$theme-5-warn: mat-palette($mat-deep-orange);

$theme-5-theme: mat-light-theme($theme-5-primary, $theme-5-accent, $theme-5-warn);

.theme-5-theme {
    @include angular-material-theme($theme-5-theme);
}

// theme-6
$theme-6-primary: mat-palette($mat-light-blue);
$theme-6-accent: mat-palette($mat-blue, A200, A100, A400);
$theme-6-warn: mat-palette($mat-deep-orange);

$theme-6-theme: mat-light-theme($theme-6-primary, $theme-6-accent, $theme-6-warn);

.theme-6-theme {
    @include angular-material-theme($theme-6-theme);
}

// theme-7
$theme-7-primary: mat-palette($mat-gray);
$theme-7-accent: mat-palette($mat-blue, A200, A100, A400);
$theme-7-warn: mat-palette($mat-deep-orange);

$theme-7-theme: mat-light-theme($theme-7-primary, $theme-7-accent, $theme-7-warn);

.theme-7-theme {
    @include angular-material-theme($theme-7-theme);
}

// theme-8
$theme-8-primary: mat-palette($mat-grey);
$theme-8-accent: mat-palette($mat-blue-grey, A200, A100, A400);
$theme-8-warn: mat-palette($mat-deep-orange);

$theme-8-theme: mat-light-theme($theme-8-primary, $theme-8-accent, $theme-8-warn);

.theme-8-theme {
    @include angular-material-theme($theme-8-theme);
}

// theme-9
$theme-9-primary: mat-palette($mat-orange);
$theme-9-accent: mat-palette($mat-blue-grey, A200, A100, A400);
$theme-9-warn: mat-palette($mat-deep-orange);

$theme-9-theme: mat-light-theme($theme-9-primary, $theme-9-accent, $theme-9-warn);

.theme-9-theme {
    @include angular-material-theme($theme-9-theme);
}
